> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice for transaction

> Gets the invoice information and files for a given transaction

<RequestExample>
  ```bash Request theme={null}
  curl 
  --location 
  -request GET 'https://staging-api.propaga.io/v1/invoice/{transactionId}/documents'
  --header 'Content-Type: application/json'
  --header 'Authorization: <your_awesome_token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "5ce45bfe-9557-4c97-b9cf-d65b4b1380e3",
      "fiscalFolio": "1b10a481-0628-4552-9872-b0c849aac394",
      "folioNumber": 1234,
      "files": [
          {
              "type": "PDF_EMISSION",
              "fileUrl": "<url>"
          },
          {
              "type": "XML_EMISSION",
              "fileUrl": "<url>"
          }
      ]
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction id
</ParamField>

## Response

<ResponseField name="id" type="string">
  Propaga's internal invoice id
</ResponseField>

<ResponseField name="fiscalFolio" type="string">
  SAT's invoice folio
</ResponseField>

<ResponseField name="folioNumber" type="number">
  Invoice folio number
</ResponseField>

<ResponseField name="files" type="array">
  <Expandable title="File properties">
    <ParamField path="type" type="string" required>
      Type of file
    </ParamField>

    <ParamField path="fileUrl" type="string" required>
      URL to download the file
    </ParamField>
  </Expandable>
</ResponseField>
